import React__default from "react";
import { imagePluginHooks } from "../../image/index.js";
import { DialogButton } from "../primitives/DialogButton.js";
import AddPhotoIcon from "../../../icons/add_photo.svg.js";
const InsertImage = React__default.forwardRef((_, forwardedRef) => {
  const [imageAutocompleteSuggestions] = imagePluginHooks.useEmitterValues("imageAutocompleteSuggestions");
  const [imageUploadHandler] = imagePluginHooks.useEmitterValues("imageUploadHandler");
  const insertImage = imagePluginHooks.usePublisher("insertImage");
  return /* @__PURE__ */ React__default.createElement(
    DialogButton,
    {
      ref: forwardedRef,
      submitButtonTitle: "Insert Image",
      dialogInputPlaceholder: "Paste or select image URL",
      tooltipTitle: "Insert image",
      onSubmit: (val) => {
        if (val instanceof File) {
          imageUploadHandler == null ? void 0 : imageUploadHandler(val).then((url) => {
            return insertImage == null ? void 0 : insertImage(url);
          }).catch(() => {
            return;
          });
        } else {
          insertImage == null ? void 0 : insertImage(val);
        }
      },
      buttonContent: /* @__PURE__ */ React__default.createElement(AddPhotoIcon, null),
      autocompleteSuggestions: imageAutocompleteSuggestions
    }
  );
});
export {
  InsertImage
};
